#include "stdafx.h"
#include "nexception.h"
#include "xmlReader.h"

#include "namespace_start.h"


CHResult CXmlReader::Create(REFIID riid,IMalloc *pMalloc){

	return CreateXmlReader(riid,reinterpret_cast<Void**>(&m_xmlReader),pMalloc);

}


CHResult CXmlReader::SetInput(IStream *pStream){

	CHResult result = m_xmlReader->SetInput(pStream);
	CHECK_HRESULT(result);
	return result;
}


CHResult CXmlReader::Read(XmlNodeType *pXmlNodeType){


	CHResult result = m_xmlReader->Read(pXmlNodeType);
	CHECK_HRESULT(result);
	return result;
}

CHResult CXmlReader::GetLocalName(const NChar **ppLocalName,UInt *pLocalNameLen){

	CHResult result = m_xmlReader->GetLocalName(ppLocalName,pLocalNameLen);
	CHECK_HRESULT(result);
	return result;
}

CHResult CXmlReader::GetValue(const NChar **ppValue,UInt *pValueLen){

	CHResult result = m_xmlReader->GetValue(ppValue,pValueLen);
	CHECK_HRESULT(result);
	return result;
}
CHResult CXmlReader::MoveToFirstAttribute(){

	CHResult result = m_xmlReader->MoveToFirstAttribute();
	CHECK_HRESULT(result);
	return result;
}

#include "namespace_end.h"